function [imagefir,Ft]=loadimage1;
%function loadimage1;

[filename,pathname]=uigetfile('*.*','uigetfiletitle');
%if isempty(filename) | filename==0 , return; end
fullFilename = [pathname filename];
%[fileStruct,err] = wfileinf(pathname,filename);
[Img_Name,ext] = strtok(filename,'.');
if ext=='.mat'
   extver=1;
   load([pathname filename],'-mat');
else
     extver=0;
[X,map] = imread(fullFilename);
end
imagefir=X;
mapsz=isempty(map);
if mapsz==1;
subplot(3,3,1),subimage(imagefir); title(' Original Image');  
else
subplot(3,3,1),subimage(imagefir,map);title(' Original Image');
end
axis off;
xsiz=size(size(imagefir));
if xsiz(2)==3;
   ind=rgb2gray(imagefir);
   else
      ind=ind2gray(imagefir,map);
   end
   Ft=fftshift(fft2(ind));
subplot(3,3,4),imagesc(log(abs(Ft)));colormap(jet);title(' 2D Fourier transform');axis off;