function noisefilt(noiimage);
%

%Filter type
filval=get(findobj('tag','filt'),'value');
filstr=get(findobj('tag','filt'),'string');
filoprn=(filstr{filval});
%neighborhood
neival=get(findobj('tag','filtneb'),'value');
neistr=get(findobj('tag','filtneb'),'string');
neioprn=(neistr{neival});
if neival==1;
   hood=3;
elseif neival==2;
   hood=5;
elseif neival==3;
   hood=7;
end
if filval==1;
   filimage=medfilt2(noiimage,[hood hood]);
elseif filval==2;
   myfilt = ones(hood)/(hood^2);   % Boxcar filter
   filimage=filter2(myfilt,noiimage,'same');
elseif filval==3;
   filimage=wiener2(noiimage,[hood hood]);
end
minim=min(min(filimage));
if minim<0;
   filimage=filimage-minim;
end
maxim=max(max(filimage));
if maxim>1;
   filimage=double(filimage);
   maxim=double(maxim);
   filimage=filimage/maxim;
end
subplot(1,3,3),subimage(filimage); title('Filtered Image');axis off;
